#include <bits/stdc++.h>

using namespace std;

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    long long n,m;
    cin>>n>>m;
    if(n==1){
        cout<<m;
    }
    else if(m==1){
        cout<<n;
    }
    else if(n==2){
        cout<<2*m;
    }
    else if(m==2){
        cout<<2*n;
    }
    else{
        cout<<2*(n-2)+2*(m-2)+4+((n-2)*(m-2)/2);
    }
    return 0;
}